A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
sparseGetRowIdx
ArrayFire Functions | ArrayFire Functions by Category » Linear Algebra » Sparse functions

Returns reference to the row indices component of the sparse array More...

## Functions
AFAPI array | sparseGetRowIdx (const array in)
AFAPI af_err | af_sparse_get_row_idx (af_array *out, const af_array in)

## Detailed Description

Returns reference to the row indices component of the sparse array

Row indices is the af::array containing the row indices of the sparse array.

## Function Documentation

## ◆ af_sparse_get_row_idx()

AFAPI af_err af_sparse_get_row_idx | ( | af_array * | out,
|  | const af_array | in )

Parameters

  [out] | out | af_array for the row indices component of the sparse array
  [in] | in | is the input sparse matrix

Returns
  AF_SUCCESS if the execution completes properly

## ◆ sparseGetRowIdx()

AFAPI array sparseGetRowIdx | ( | const array | in | ) |

Parameters

  [in] | in | is the input sparse matrix

Returns
  af::array for the row indices component of the sparse array